﻿<form id="entityForm">
    @Html.AntiForgeryToken()
    <input type="hidden" id="entidad" value="User"/>
    <label for="firstname">Primer Nombre</label>
    <input id="firstname" type="text" class="form-control custom-width-input" />
    <label for="secondname">Segundo Nombre</label>
    <input id="secondname" type="text" class="form-control custom-width-input"/>
    <label for="address">Dirección</label>
    <input id="address" typeof="text" class="form-control custom-width-input" />
    <label for="email">Correo Electrónico</label>
    <input id="email" class="form-control custom-width-input" type="text" />
    <label for="phonenumber">Teléfono</label>
    <input id="phonenumber" class="form-control custom-width-input" type="text" />
    <div class="mt-2">
        <button type="button" onclick="setData()" class="btn btn-primary ml-2">Guardar</button>
        <button type="button" onclick="cancelar()" class="btn btn-danger">Cancelar</button>
    </div>
</form>

<script src="~/js/crud/create.js"></script>
<script>
    function setData(){
        var firstName = document.getElementById("firstname").value;
        var secondName = document.getElementById("secondname").value;
        var address = document.getElementById("address").value;
        var email = document.getElementById("email").value;
        var phoneNumber = document.getElementById("phonenumber").value;

        var jsonData = {
            firstname: firstName,
            lastname: secondName,
            address: address,
            phonenumber: phoneNumber,
            email: email
        };

        guardar(jsonData);
    }
</script>